Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.deployment.resolver
Class AARBasedWSDLLocator

    java.lang.Object
      org.apache.ws.commons.schema.resolver.DefaultURIResolver
          org.apache.axis2.deployment.resolver.AARBasedWSDLLocator

All Implemented Interfaces:
  javax.wsdl.xml.WSDLLocator, org.apache.ws.commons.schema.resolver.CollectionURIResolver, org.apache.ws.commons.schema.resolver.URIResolver

    public class AARBasedWSDLLocator

extends org.apache.ws.commons.schema.resolver.DefaultURIResolver
implements javax.wsdl.xml.WSDLLocator, org.apache.woden.resolver.URIResolver

Custom WSDL locator to load schemas from zip archives Need to provide the aarFile and the baseInputStream for the base WSDL file

The logic here is that we only care about the import location all imports must be relative to the META-INF folder

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Constructor Summary
`AARBasedWSDLLocator(java.lang.String baseURI, java.io.File zipFile, java.io.InputStream baseInputStream)`

Method Summary
`void` | `close()`
`org.xml.sax.InputSource` | `getBaseInputSource()`
`java.lang.String` | `getBaseURI()` As for the zip there is no point in returning a base URI
`org.xml.sax.InputSource` | `getImportInputSource(java.lang.String parentLocation, java.lang.String importLocation)`
`java.lang.String` | `getLatestImportURI()` returns the latest import
`java.net.URI` | `resolveURI(java.net.URI uri)`

Methods inherited from class org.apache.ws.commons.schema.resolver.DefaultURIResolver
`getCollectionBaseURI, getFileURL, getURL, isAbsolute, resolveEntity, setCollectionBaseURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

Constructor Detail

### AARBasedWSDLLocator

    public AARBasedWSDLLocator(java.lang.String baseURI,
                               java.io.File zipFile,
                               java.io.InputStream baseInputStream)

Method Detail

### getBaseInputSource

    public org.xml.sax.InputSource getBaseInputSource()

  Specified by:
    `getBaseInputSource` in interface `javax.wsdl.xml.WSDLLocator`

### getImportInputSource

    public org.xml.sax.InputSource getImportInputSource(java.lang.String parentLocation,
                                                        java.lang.String importLocation)

  Specified by:
    `getImportInputSource` in interface `javax.wsdl.xml.WSDLLocator`
  Parameters:
    `parentLocation` -
    `importLocation` -

### getBaseURI

    public java.lang.String getBaseURI()

  As for the zip there is no point in returning a base URI

  Specified by:
    `getBaseURI` in interface `javax.wsdl.xml.WSDLLocator`

### getLatestImportURI

    public java.lang.String getLatestImportURI()

  returns the latest import

  Specified by:
    `getLatestImportURI` in interface `javax.wsdl.xml.WSDLLocator`

### close

    public void close()

  Specified by:
    `close` in interface `javax.wsdl.xml.WSDLLocator`

### resolveURI

    public java.net.URI resolveURI(java.net.URI uri)
                            throws org.apache.woden.WSDLException,
                                   java.io.IOException

  Throws:
    `org.apache.woden.WSDLException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.